import request from '@/utils/request'

// 查询SIF Overview List列表
export function listOverview(query) {
  return request({
    url: '/process/overview/list',
    method: 'get',
    params: query
  })
}

// 查询SIF Overview List详细
export function getOverview(id) {
  return request({
    url: '/process/overview/' + id,
    method: 'get'
  })
}

// 新增SIF Overview List
export function addOverview(data) {
  return request({
    url: '/process/overview',
    method: 'post',
    data: data
  })
}

// 修改SIF Overview List
export function updateOverview(data) {
  return request({
    url: '/process/overview',
    method: 'put',
    data: data
  })
}

// 删除SIF Overview List
export function delOverview(id) {
  return request({
    url: '/process/overview/' + id,
    method: 'delete'
  })
}
